commerce
GET /v1/orders/{orderId}/refund-eligibility
Preview an order's refund eligibility.
Autentikasi
Kirim kunci API sebagai token bearer. Kunci tersebut harus memiliki izin billing.view; kunci tanpa izin tersebut akan ditolak dengan status 403, bukan 404.
Endpoint ini tidak memerlukan id organisasi. Kunci Anda telah mengidentifikasi organisasi tempatnya berafiliasi, dan respons akan dibatasi untuk organisasi tersebut.
Coba
Ganti apa pun di dalam tanda kurung sudut dengan nilai Anda sendiri, dan placeholder kunci dengan kunci dari dasbor Anda.
curl -X GET https://api.zinndigital.com/v1/orders/{orderId}/refund-eligibility \
-H "Authorization: Bearer zdk_live_…"Sudah masuk? Konsol API di dasbor Anda akan mengisi ID organisasi asli dan kunci Anda sendiri, serta menjalankan permintaan terhadap API langsung sehingga Anda dapat melihat respons aktualnya. Buka titik akhir ini di konsol API
Detail
The refund policy's decision for this order without opening a request — whether it is eligible, the amount that would be refunded, and whether it needs staff approval (docs/05 §4.13). Requires `billing.view`.
Parameter
| Nama | Jenis | Wajib | Tentang apa ini |
|---|---|---|---|
orderId (path) | Uuid | Ya | The order's id. |
Tanggapan
| Nama | Jenis | Wajib | Tentang apa ini |
|---|---|---|---|
eligible | boolean | Ya | — |
policy_class | RefundPolicyClass | Ya | How the refund policy classified a request (captured at request time). |
requires_approval | boolean | Ya | — |
auto_approved | boolean | Ya | Eligible and needs no human — the money-back path issues immediately. |
amount | MoneyAmount | Ya | A money value — integer minor units + an ISO 4217 code (CLAUDE.md §2.8). |
reason | string | Ya | A customer-safe explanation of the decision. |
Kesalahan yang dapat dikembalikan oleh titik akhir ini
401 · 403 · 404 · 429